Skip to navigation

Sign Up

This API endpoint allows a new user to sign up to the application. User provides personal details such as name, age and mobile number, as well as security details like username and password. User’s profile image, type of device, login method etc are also recorded.

Request Body

  • referral_id (string): The referral id for the user if any.

  • country_id (integer): The id of the user’s country.

  • name (string): The full name of user.

  • age (string): The age of user.

  • mobile_number (string): The mobile number of user.

  • username (string): The chosen username.

  • email (string): The user’s email address.

  • dob (string): The date of birth of user.

  • password (string): Users’ chosen password.

  • password_confirmation (string): Confirmation of the chosen password.

  • gender (string): The gender of the user.

  • profile_image (object): An object containing details of user’s profile image.

    • version (integer): The version number of the profile image.

    • public_id (string): The unique id of the profile image.

    • format (string): The format of the image file (jpg, png, etc).

  • profile_avatar (string): URL of the user’s avatar.

  • login_type (string): The mode of logging in (local, social networks).

  • device_type (string): User’s device type (e.g., iOS, Android).

  • device_token (string): Unique identifier for user’s device.

Response

  • user_id (string): The unique identifier of the new user.

  • username (string): The username of the new user.

  • api_token (string): The API token for the new user.

  • country_selected (string): A flag indicating if the user has selected a country (1 = Yes).

  • user_qrcode (string): The user’s QR code URL.

Response

Sign Up
messagestringOptional
apistringOptional
statusstringOptional
dataobjectOptional